# Class CIM_MemoryResource
extends CIM_MemoryMappedIO

Since the MemoryMappedIO class applies to memory AND port resources, there is the potential for key conflict. For example, both a memory resource and a port resource may be located at address 0. Since StartingAddress is the distinguishing key of MemoryMappedIO, two instances would be created with the same key. This is prevented by defining memory and port resource subclasses of MemoryMappedIO, and allowing the CreationClassName key property to distinguish between them and force uniqueness in their keys.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_SystemResource
|
+--CIM_MemoryMappedIO
|
+--CIM_MemoryResource

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

Since the MemoryMappedIO class applies to memory AND port resources, there is the potential for key conflict. For example, both a memory resource and a port resource may be located at address 0. Since StartingAddress is the distinguishing key of MemoryMappedIO, two instances would be created with the same key. This is prevented by defining memory and port resource subclasses of MemoryMappedIO, and allowing the CreationClassName key property to distinguish between them and force uniqueness in their keys.

UMLPackagePath | string | CIM::System::SystemResources
Version | string | 2.6.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_MemoryMappedIO
CSCreationClassName | string | CIM_MemoryMappedIO
CSName | string | CIM_MemoryMappedIO
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
EndingAddress | uint64 | CIM_MemoryMappedIO
HealthState | uint16 | CIM_ManagedSystemElement
ImplementationInfo | uint16 | CIM_SystemResource
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
MappedResource | uint16 | CIM_MemoryMappedIO
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Shareable | boolean | CIM_SystemResource
StartingAddress | uint64 | CIM_MemoryMappedIO
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement